Page MenuHomePhabricator

[mips][microMIPS] Use call instructions with short delay slots
ClosedPublic

Authored by zoran.jovanovic on Nov 20 2014, 5:36 AM.

Diff Detail

Repository
rL LLVM

Event Timeline

zoran.jovanovic retitled this revision from to [mips][microMIPS] Use call instructions with short delay slots.
zoran.jovanovic updated this object.
zoran.jovanovic edited the test plan for this revision. (Show Details)
zoran.jovanovic added a reviewer: sstankovic.
zoran.jovanovic added a subscriber: Unknown Object (MLST).
sstankovic edited edge metadata.Nov 21 2014, 9:02 AM

LGTM, with two changes.

lib/Target/Mips/MipsDelaySlotFiller.cpp
550 ↗(On Diff #16426)

Typo "chenge". Also, I think it would improve readability if you add parenthesis, since code related to "if" occupies 3 lines.

test/CodeGen/Mips/micromips-delay-slot.ll
16 ↗(On Diff #16426)

Since jals allows only 16-bits delay slot instructions, you should also CHECK that instruction in delay slot is 16-bits.

sstankovic accepted this revision.Nov 21 2014, 9:03 AM
sstankovic edited edge metadata.
This revision is now accepted and ready to land.Nov 21 2014, 9:03 AM
Diffusion closed this revision.Nov 25 2014, 2:50 AM
Diffusion updated this revision to Diff 16603.

Closed by commit rL222752 (authored by zjovanovic).